"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnbCLient = void 0;
const fetch_1 = require("@sapphire/fetch");
const RequestHandler_1 = require("./structures/RequestHandler");
const User_1 = require("./structures/User");
class UnbCLient {
    constructor(
    /**
     * Your api token. You may get one [here](https://unbelievaboat.com/api/docs).
     * @type {String}
     */
    token, options = {
        baseURL: 'https://unbelievaboat.com/api',
        version: 'v1',
        maxRetries: 3
    }) {
        this.token = token;
        this.options = options;
        this.requestHandler = new RequestHandler_1.RequestHandler(this);
        if (!token || typeof token !== 'string')
            throw new TypeError('The API token must be a string');
    }
    /**
     * Increase or decrease the User's balance by a value given in the params
     * @example
     * <Client>.editUserBalance('123456789012345678', '123456789012345678', {
        reason: '@chikoshidori/unb-api did this.',
        cash: '-100'
    });
    */
    async editUserBalance(guildId, userId, data = { reason: '@chikoshidori/unb-api did this.' }) {
        return this._request(fetch_1.FetchMethods.Patch, `guilds/${guildId}/users/${userId}`, data).then((data) => new User_1.User(data));
    }
    async _request(method, endpoint, body = {}) {
        return this.requestHandler.request(method, endpoint, body);
    }
}
exports.UnbCLient = UnbCLient;
//# sourceMappingURL=Client.js.map