export interface UserAPIResponse {
    /**
     * Leaderboard rank of the user
     * @type {?number}
     */
    rank: number;
    /**
     * User ID of the discord user.
     * @type {string}
     */
    user_id: string;
    /**
     * User's cash balance.
     * @type {number}
     */
    cash: number;
    /**
     * User's bank balance.
     * @type {number}
     */
    bank: number;
    /**
     * User's total balance.
     * @type {number}
     */
    total: number;
}
/**
 * UnbelievaBoat User Balance
 */
export declare class User implements UserAPIResponse {
    rank: number;
    user_id: string;
    cash: number;
    bank: number;
    total: number;
    /**
     * Raw data response
     */
    rawData: {
        value: UserAPIResponse;
    };
    constructor(data: UserAPIResponse);
    get id(): string;
}
//# sourceMappingURL=User.d.ts.map